Üç şema
Her şema, telefonun doğru uygulamaya nasıl vereceğini bildiği kısa bir metindir. mailto: e-posta uygulamasını, tel: arama ekranını, sms: ise alıcı ve bazen mesaj önceden doldurulmuş şekilde mesajlaşma uygulamasını açar.
Telefon numaraları, artı işareti ve ülke koduyla uluslararası biçimde, örneğin +15035550123, en iyi çalışır; böylece kod diğer ülkelerden gelen ziyaretçiler için de işe yarar.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (eski gelenek, hâlâ yaygın okunur)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (eski e-posta geleneği)
Mesaj metnini kodlama
mailto ve sms linklerindeki konular ve mesaj gövdeleri yüzde kodlanmalıdır; yani boşluk %20, metin içindeki & işareti %26 olur. Kodlanmamış karakterler mesajı kısa kesebilir veya linki bozabilir.
Platformlar sms gövde parametresini her zaman aynı biçimde ayrıştırmadı; eski SMSTO: biçiminin QR üreticilerinde hâlâ yaygın olmasının bir nedeni budur. Basmadan önce hem iPhone'da hem Android'de test etmek güvenilir kontroldür.
Bu kodların yapamadıkları
QR kod kendi başına e-posta gönderemez, kısa mesaj gönderemez veya arama yapamaz. Yalnızca uygulamayı alanlar doldurulmuş şekilde açar; gönder veya ara'ya basıp basmayacağına tarayan kişi karar verir.
Alıcı göndermeden önce görünür olduğundan insanlar bunun beklediklerine uyduğunu kontrol etmelidir. Yüksek ücretli bir numaraya veya tanımadığı bir adrese mesajı önceden dolduran bir kod, uyarı işaretidir.